package net.chrisrichardson.foodToGo.creditCardProcessing;

import net.chrisrichardson.foodToGo.order.*;
 
/**
 * Gateway to the credit card processor
 */

public class CreditCardProcessor {
    
    private static CreditCardProcessorImpl impl;
    
    public static void setImplementation(CreditCardProcessorImpl impl) {
        CreditCardProcessor.impl = impl;
    }
    
    public static AuthorizationTransaction authorize(PaymentInformation info) 
        throws CreditCardProcessingException {
        return impl.authorize(info);
    }

}
