package net.chrisrichardson.foodToGo.order;

public class PendingOrderRepository {

    private static PendingOrderRepositoryImpl impl;
    
    public static void setImplementation(PendingOrderRepositoryImpl impl) {
       PendingOrderRepository.impl = impl; 
    }

    public static PendingOrder createPendingOrder() {
        return impl.createPendingOrder();
    }
    
    public static PendingOrder findPendingOrder(String pendingOrderId) {
        return impl.findPendingOrder(pendingOrderId);
    }


    public static String getObjectId(PendingOrder pendingOrder) {
        return impl.getObjectId(pendingOrder);
    }

}
