package net.chrisrichardson.foodToGo.order.jdoImpl;

import java.util.*;

import net.chrisrichardson.foodToGo.order.*;
import net.chrisrichardson.foodToGo.order.testImpl.*;
import net.chrisrichardson.foodToGo.orderService.values.*;

public class JDORestaurantRepositoryImplTests extends JDOTestCase {

    public JDORestaurantRepositoryImplTests(String name) {
        super(name);
    }
    
    public void test() throws Exception {
        JDORestaurantRepositoryImpl impl = new JDORestaurantRepositoryImpl();
        
        Date during = PendingOrderTestData.getTimeTomorrow(20);

        RestaurantValuePagedCollection result = impl.getRestaurantsThatServeZipCodeAndTime(PendingOrderTestData.ADDRESS1, during);
        assertTrue(!result.isEmpty());
        
        result = impl.getRestaurantsThatServeZipCodeAndTime(PendingOrderTestData.BAD_ADDRESS, during);
        assertTrue(result.isEmpty());

        Date before = PendingOrderTestData.getTimeTomorrow(17);
        
        result = impl.getRestaurantsThatServeZipCodeAndTime(PendingOrderTestData.ADDRESS1, before);
        assertTrue(result.isEmpty());

        
    }

}
