/* Copyright (c) 2002 Chris Richardson. All Rights Reserved */


package net.chrisrichardson.foodToGo.orderService.values;

import net.chrisrichardson.foodToGo.orderService.values.*;
 

public class CheckoutResponse extends ProcessOrderServiceResponse {

    public static final int BAD_STATE = 0;
    public static final int OK = 1;
    public static final int DOES_NOT_MEET_MINIMUM = 2;

    public CheckoutResponse() {
    }

    public CheckoutResponse(int status, PendingOrderValue pendingOrder) {
        super(status, pendingOrder);
    }

    public CheckoutResponse(int status, String pendingOrderId, PendingOrderValue pendingOrder) {
        super(status, pendingOrderId, pendingOrder);
    }
}
