package net.chrisrichardson.foodToGo.util;

import java.io.*;

public class WrappingException extends Exception {
    private Exception e;

    public WrappingException() {
        super();
    }

    public WrappingException(String m) {
        super(m);
    }

    public WrappingException(Exception e) {
        super();
        this.e = e;
    }

    public WrappingException(String m, Exception e) {
        super(m);
        this.e = e;
    }

    public void printStackTrace() {
        super.printStackTrace();
        if (e != null) {
            System.out.println("Nested exception -----");
            e.printStackTrace();
        }

    }

    public void printStackTrace(PrintStream arg0) {
        super.printStackTrace(arg0);
        if (e != null) {
            System.out.println("Nested exception -----");
            e.printStackTrace(arg0);
        }
    }

    public void printStackTrace(PrintWriter arg0) {
        super.printStackTrace(arg0);
        if (e != null) {
            System.out.println("Nested exception -----");
            e.printStackTrace(arg0);
        }
    }

}
