package net.chrisrichardson.foodToGo.creditCardProcessing;

import java.util.*;

import net.chrisrichardson.foodToGo.order.*;

/**
 * The result of authorizing a credit card
 */

public interface AuthorizationTransaction {   
    
    public static int AUTHORIZED = 1;
    public static int REJECTED = 2;
    public static int PENDING = 3;
    
    public int getStatus();
    public Date getCreationDate();
    public Date getAuthorizationDate();
    public PaymentInformation getPaymentInformation();

}
