package net.chrisrichardson.foodToGo.order;



import java.io.*;
import net.chrisrichardson.foodToGo.order.*;


public class PendingOrderLineItem  {

    private MenuItem menuItem;
    private int quantity;
    private PendingOrder order;
    private int index;


    public double getExtendedPrice() {
        return getPrice() * getQuantity();
    }



    public PendingOrderLineItem() {
    }

    public PendingOrderLineItem(PendingOrder pendingOrder, int index, MenuItem miv) {
        this.order = pendingOrder;
        this.index = index;
        this.menuItem = (MenuItem)miv;
    }


    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public MenuItem getMenuItem() {
        return menuItem;
    }

    public String getName() {
        return menuItem.getName();
    }

    public double getPrice() {
        return menuItem.getPrice();
    }


	public int getIndex() {
		return index;
	}

}
