package net.chrisrichardson.foodToGo.order;

import java.util.*;

import net.chrisrichardson.foodToGo.orderService.values.*;
import net.chrisrichardson.foodToGo.util.*;

public interface RestaurantRepositoryImpl {

    public RestaurantValuePagedCollection getRestaurantsThatServeZipCodeAndTime(
        Address deliveryAddress,
        Date deliveryTime);

    public boolean isRestaurantAvailable(Address deliveryAddress, Date deliveryDate);

    public Restaurant findRestaurant(String restaurantId);

    String getObjectId(Restaurant restaurant);

    String getObjectId(MenuItem menuItem);

}
