package net.chrisrichardson.foodToGo.order;

/**
 * Encapsulates management of the persistence mechanism transactions
 * e.g. Getting/Closing JDO PersistenceManager or Hibernate Session
 */

public interface TxnManager {

    /**
     * Begins a transaction
     */

    void open();

    /**
     * Ends a transaction
     */

    void close();

}
