package net.chrisrichardson.foodToGo.ui.util;

import java.io.*;
import java.util.*;

import net.chrisrichardson.foodToGo.util.*;

/*
 * Reads the uifactory.properties file
 */
 
 public class UIConfigurationFactory extends BaseConfigurationFactory {
    public static UIConfigurationFactory theInstance;
   
    private UIConfigurationFactory() {
        super("uifactory.properties", UIConfigurationFactory.class);
    }

    public static UIConfigurationFactory getInstance() {
        if (theInstance == null)
            synchronized (UIConfigurationFactory.class) {
                if (theInstance == null)
                    theInstance = new UIConfigurationFactory();
           }
        return theInstance;
    }

}
